package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Time range profile custom day mode, this field is required when parameter [dayMode] is 3.
 */
@ApiModel(description = "Time range profile custom day mode, this field is required when parameter [dayMode] is 3.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class CustomDayModeOpenApiVo   {
  @JsonProperty("dayMon")
  private Boolean dayMon;

  @JsonProperty("dayTue")
  private Boolean dayTue;

  @JsonProperty("dayWed")
  private Boolean dayWed;

  @JsonProperty("dayThu")
  private Boolean dayThu;

  @JsonProperty("dayFri")
  private Boolean dayFri;

  @JsonProperty("daySat")
  private Boolean daySat;

  @JsonProperty("daySun")
  private Boolean daySun;

  public CustomDayModeOpenApiVo dayMon(Boolean dayMon) {
    this.dayMon = dayMon;
    return this;
  }

  /**
   * Whether to enable Monday of time range profile.
   * @return dayMon
  */
  @ApiModelProperty(required = true, value = "Whether to enable Monday of time range profile.")
  @NotNull


  public Boolean getDayMon() {
    return dayMon;
  }

  public void setDayMon(Boolean dayMon) {
    this.dayMon = dayMon;
  }

  public CustomDayModeOpenApiVo dayTue(Boolean dayTue) {
    this.dayTue = dayTue;
    return this;
  }

  /**
   * Whether to enable Tuesday of time range profile.
   * @return dayTue
  */
  @ApiModelProperty(required = true, value = "Whether to enable Tuesday of time range profile.")
  @NotNull


  public Boolean getDayTue() {
    return dayTue;
  }

  public void setDayTue(Boolean dayTue) {
    this.dayTue = dayTue;
  }

  public CustomDayModeOpenApiVo dayWed(Boolean dayWed) {
    this.dayWed = dayWed;
    return this;
  }

  /**
   * Whether to enable Wednesday of time range profile.
   * @return dayWed
  */
  @ApiModelProperty(required = true, value = "Whether to enable Wednesday of time range profile.")
  @NotNull


  public Boolean getDayWed() {
    return dayWed;
  }

  public void setDayWed(Boolean dayWed) {
    this.dayWed = dayWed;
  }

  public CustomDayModeOpenApiVo dayThu(Boolean dayThu) {
    this.dayThu = dayThu;
    return this;
  }

  /**
   * Whether to enable Thursday of time range profile.
   * @return dayThu
  */
  @ApiModelProperty(required = true, value = "Whether to enable Thursday of time range profile.")
  @NotNull


  public Boolean getDayThu() {
    return dayThu;
  }

  public void setDayThu(Boolean dayThu) {
    this.dayThu = dayThu;
  }

  public CustomDayModeOpenApiVo dayFri(Boolean dayFri) {
    this.dayFri = dayFri;
    return this;
  }

  /**
   * Whether to enable Friday of time range profile.
   * @return dayFri
  */
  @ApiModelProperty(required = true, value = "Whether to enable Friday of time range profile.")
  @NotNull


  public Boolean getDayFri() {
    return dayFri;
  }

  public void setDayFri(Boolean dayFri) {
    this.dayFri = dayFri;
  }

  public CustomDayModeOpenApiVo daySat(Boolean daySat) {
    this.daySat = daySat;
    return this;
  }

  /**
   * Whether to enable Saturday of time range profile.
   * @return daySat
  */
  @ApiModelProperty(required = true, value = "Whether to enable Saturday of time range profile.")
  @NotNull


  public Boolean getDaySat() {
    return daySat;
  }

  public void setDaySat(Boolean daySat) {
    this.daySat = daySat;
  }

  public CustomDayModeOpenApiVo daySun(Boolean daySun) {
    this.daySun = daySun;
    return this;
  }

  /**
   * Whether to enable Sunday of time range profile.
   * @return daySun
  */
  @ApiModelProperty(required = true, value = "Whether to enable Sunday of time range profile.")
  @NotNull


  public Boolean getDaySun() {
    return daySun;
  }

  public void setDaySun(Boolean daySun) {
    this.daySun = daySun;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CustomDayModeOpenApiVo customDayModeOpenApiVo = (CustomDayModeOpenApiVo) o;
    return Objects.equals(this.dayMon, customDayModeOpenApiVo.dayMon) &&
        Objects.equals(this.dayTue, customDayModeOpenApiVo.dayTue) &&
        Objects.equals(this.dayWed, customDayModeOpenApiVo.dayWed) &&
        Objects.equals(this.dayThu, customDayModeOpenApiVo.dayThu) &&
        Objects.equals(this.dayFri, customDayModeOpenApiVo.dayFri) &&
        Objects.equals(this.daySat, customDayModeOpenApiVo.daySat) &&
        Objects.equals(this.daySun, customDayModeOpenApiVo.daySun);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dayMon, dayTue, dayWed, dayThu, dayFri, daySat, daySun);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CustomDayModeOpenApiVo {\n");
    
    sb.append("    dayMon: ").append(toIndentedString(dayMon)).append("\n");
    sb.append("    dayTue: ").append(toIndentedString(dayTue)).append("\n");
    sb.append("    dayWed: ").append(toIndentedString(dayWed)).append("\n");
    sb.append("    dayThu: ").append(toIndentedString(dayThu)).append("\n");
    sb.append("    dayFri: ").append(toIndentedString(dayFri)).append("\n");
    sb.append("    daySat: ").append(toIndentedString(daySat)).append("\n");
    sb.append("    daySun: ").append(toIndentedString(daySun)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

